Skip to main content
GET
/
customers
/
{customerIdOrExternalId}
取得客戶詳情
curl --request GET \
  --url https://api.zangsho.com/v1/customers/{customerIdOrExternalId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 123,
    "email": "<string>",
    "name": "<string>",
    "phone": "<string>",
    "external_id": "<string>",
    "metadata": {},
    "ltv": "29800.00",
    "order_count": 123,
    "first_payment_at": "2023-11-07T05:31:56Z",
    "last_payment_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.zangsho.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

使用 Laravel Sanctum Token 進行認證。

Token 可在商家後台的「API 設定」頁面取得。

Path Parameters

customerIdOrExternalId
required

客戶 ID 或 external_id

Response

客戶詳情

data
object